# Zoom

## Overview

The Zoom integration connects data from your Zoom account to your Sola workspace, making it easy to search and find answers to your specific use cases.

The Zoom integration provides a comprehensive view of your Zoom environment including users, roles, meetings, and settings to monitor security posture and compliance.

With Zoom integration you can:

* Gain visibility into configuration changes
* Enforce secure collaboration policies and security best practices
* Ensure compliance with internal policies and industry standards

{% hint style="warning" %}
**Your data can only be retrieved, never modified.**

Once connected, your data is securely stored, and access is restricted to retrieving configurations and metadata only. Authentication methods ensure secure delegation of permissions while maintaining data integrity.
{% endhint %}

## Set up Zoom data source integration with Sola

{% columns %}
{% column width="75%" %}
Go to ***Integrations*** > [***Data Sources***](https://app.sola.security/integrations/data-sources) > click ***New data source*** > select ***Zoom***.

*The Sola wizard will take you through the steps.*
{% endcolumn %}

{% column width="25%" %} <a href="https://app.sola.security/integrations/data-sources?integration=zoom" class="button primary">Set up Zoom -></a>
{% endcolumn %}
{% endcolumns %}

### Connect Zoom to Sola

To connect Zoom to Sola, you need a Zoom account with Owner or Admin permissions that allow creating Server-to-Server OAuth apps in the Zoom Marketplace.

<details>

<summary>How do I set up a Zoom data source using Server-to-Server OAuth app?</summary>

Complete the following steps to set up and configure your Zoom app to integrate Sola with Zoom.

1. Sign in to your [Zoom](https://zoom.us/signin) account.
2. Go to [Build App in Zoom Marketplace](https://marketplace.zoom.us/develop/create), select ***Server-to-Server OAuth***, and click ***Create***.
3. Name the app and click ***Create***.
4. Copy and save the generated&#x20;
   * ***Account ID***
   * ***Client ID***
   * ***Client Secret***
5. Complete the ***Information*** and ***Feature*** steps.
6. Add the following scopes:
   * `account:read:lock_settings:admin`
   * `account:read:settings:admin`
   * `account:read:trusted_domains:admin`
   * `account:read:managed_domains:admin`
   * `group:read:list_groups:admin`
   * `group:read:list_members:admin`
   * `role:read:list_roles:admin`
   * `role:read:role:admin`
   * `role:read:list_members:admin`
   * `user:read:list_users:admin`
   * `user:read:user:admin`
   * `meeting:read:list_meetings:admin`
   * `meeting:read:meeting:admin`
   * `cloud_recording:read:list_user_recordings:admin`
   * `cloud_recording:read:list_recording_settings:admin`
7. Activate the app.
8. Complete the integration by providing the following parameters in the Sola wizard:
   * ***Account ID***
   * ***Client ID***
   * ***Client Secret***
9. Click ***Test Connection*** to validate the details, then click ***Next*** to continue.

Learn more about [creating a Server-to-Server OAuth app](https://developers.zoom.us/docs/internal-apps/create/).<br>

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sola.security/integrations/data-sources/zoom.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
